## Microsoft Azure SDK for Python

This is the Microsoft Azure Traffic Manager Client Library.

Azure Resource Manager (ARM) is the next generation of management APIs
that replace the old Azure Service Management (ASM).

This package has been tested with Python 2.7, 3.4, 3.5, 3.6 and 3.7.

For the older Azure Service Management (ASM) libraries, see
[azure-servicemanagement-legacy](https://pypi.python.org/pypi/azure-servicemanagement-legacy)
library.

For a more complete set of Azure libraries, see the
[azure](https://pypi.python.org/pypi/azure) bundle package.

## Compatibility

**IMPORTANT**: If you have an earlier version of the azure package
(version < 1.0), you should uninstall it before installing this
package.

You can check the version using pip:

``` shell
pip freeze
```

If you see azure==0.11.0 (or any version below 1.0), uninstall it first:

``` shell
pip uninstall azure
```

## Usage

For code examples, see [Traffic
Manager](https://docs.microsoft.com/python/api/overview/azure/traffic-manager)
on docs.microsoft.com.

## Provide Feedback

If you encounter any bugs or have suggestions, please file an issue in
the [Issues](https://github.com/Azure/azure-sdk-for-python/issues)
section of the project.

![image](https://azure-sdk-impressions.azurewebsites.net/api/impressions/azure-sdk-for-python%2Fazure-mgmt-trafficmanager%2FREADME.png)
